Package org.eclipse.graphiti.features.context

## Interface ITargetConnectionContext

All Superinterfaces:
  `IContext`, `IPropertyBag`

All Known Subinterfaces:
  `IAddConnectionContext`, `IAddContext`, `ICreateContext`, `IMoveShapeContext`

All Known Implementing Classes:
  `AddConnectionContext`, `AddContext`, `CreateContext`, `MoveShapeContext`

    public interface ITargetConnectionContext
    extends IContext

The Interface ITargetConnectionContext.

### Method Summary

All Methods Instance Methods Abstract Methods
`Connection` `getTargetConnection()` Gets the target connection.

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Method Detail

#### getTargetConnection

    Connection getTargetConnection()

Gets the target connection.

Returns:
  the target connection where the new pictogram element (currently this has to be a shape) has to be inserted